Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(43)

Issue 19962008: Rewrite the 'window.onerror' tests. (Closed)

Created:
5 years, 12 months ago by Mike West
Modified:
5 years, 12 months ago
Reviewers:
do-not-use
CC:
blink-reviews, dglazkov+blink, eae+blinkwatch
Visibility:
Public.

Description

Rewrite the 'window.onerror' tests. The tests are currently duplicating work all over the place, and are difficult to update. This patch tries to bring some consistency to the way the feature is tested in the hopes of making future improvements simpler to effectively test. R=ch.dumez@sisa.samsung.com Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=154910

Patch Set 1 #

Patch Set 2 : tests. #

Total comments: 6

Patch Set 3 : js-test-pre #

Total comments: 25

Patch Set 4 : fixes. #

Total comments: 5

Patch Set 5 : ugh. #

Patch Set 6 : *facepalm* #

Unified diffs Side-by-side diffs Delta from patch set Stats (+698 lines, -810 lines) Patch
A LayoutTests/fast/events/resources/onerror-test.js View 1 2 3 1 chunk +54 lines, -0 lines 0 comments Download
D LayoutTests/fast/events/resources/window-onerror.js View 1 2 1 chunk +0 lines, -3 lines 0 comments Download
A LayoutTests/fast/events/window-errorevent-01.html View 1 2 3 4 1 chunk +18 lines, -0 lines 0 comments Download
A + LayoutTests/fast/events/window-errorevent-01-expected.txt View 1 2 3 4 5 1 chunk +2 lines, -2 lines 0 comments Download
A LayoutTests/fast/events/window-errorevent-02.html View 1 2 3 4 1 chunk +18 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-errorevent-02-expected.txt View 1 2 3 4 5 1 chunk +10 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-01.html View 1 2 3 1 chunk +18 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-01-expected.txt View 1 2 3 1 chunk +11 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-02.html View 1 2 3 1 chunk +18 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-02-expected.txt View 1 2 3 1 chunk +11 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-03.html View 1 2 3 1 chunk +18 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-03-expected.txt View 1 2 3 1 chunk +11 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-04.html View 1 2 3 1 chunk +18 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-04-expected.txt View 1 2 3 1 chunk +11 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-05.html View 1 2 3 1 chunk +19 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-05-expected.txt View 1 2 3 1 chunk +6 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-06.html View 1 2 3 1 chunk +26 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-06-expected.txt View 1 2 3 1 chunk +12 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-07.html View 1 2 3 1 chunk +23 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-07-expected.txt View 1 2 3 1 chunk +11 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-08.html View 1 2 3 1 chunk +35 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-08-expected.txt View 1 2 3 1 chunk +9 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-09.html View 1 2 3 1 chunk +21 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-09-expected.txt View 1 2 3 1 chunk +11 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-10.html View 1 2 3 4 1 chunk +27 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-10-expected.txt View 1 2 3 1 chunk +14 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-11.html View 1 2 3 1 chunk +36 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-11-expected.txt View 1 2 3 1 chunk +15 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-12.html View 1 2 3 1 chunk +38 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-12-expected.txt View 1 2 3 1 chunk +18 lines, -0 lines 0 comments Download
D LayoutTests/fast/events/window-onerror-exception-in-attr.html View 1 2 1 chunk +0 lines, -38 lines 0 comments Download
D LayoutTests/fast/events/window-onerror-exception-in-attr-expected.txt View 1 2 1 chunk +0 lines, -6 lines 0 comments Download
D LayoutTests/fast/events/window-onerror-for-isolated-world-1.html View 1 1 chunk +0 lines, -68 lines 0 comments Download
D LayoutTests/fast/events/window-onerror-for-isolated-world-1-expected.txt View 1 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/fast/events/window-onerror-for-isolated-world-2.html View 1 1 chunk +0 lines, -67 lines 0 comments Download
D LayoutTests/fast/events/window-onerror-for-isolated-world-2-expected.txt View 1 1 chunk +0 lines, -12 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-isolatedworld-01.html View 1 2 3 1 chunk +44 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-isolatedworld-01-expected.txt View 1 2 3 1 chunk +45 lines, -0 lines 0 comments Download
A LayoutTests/fast/events/window-onerror-isolatedworld-02.html View 1 2 1 chunk +66 lines, -0 lines 0 comments Download
A + LayoutTests/fast/events/window-onerror-isolatedworld-02-expected.txt View 1 2 1 chunk +4 lines, -4 lines 0 comments Download
D LayoutTests/fast/events/window-onerror-syntax-error-in-attr.html View 1 2 1 chunk +0 lines, -38 lines 0 comments Download
D LayoutTests/fast/events/window-onerror-syntax-error-in-attr-expected.txt View 1 2 1 chunk +0 lines, -6 lines 0 comments Download
D LayoutTests/fast/events/window-onerror1.html View 1 chunk +0 lines, -35 lines 0 comments Download
D LayoutTests/fast/events/window-onerror1-expected.txt View 1 chunk +0 lines, -3 lines 0 comments Download
D LayoutTests/fast/events/window-onerror10.html View 1 chunk +0 lines, -33 lines 0 comments Download
D LayoutTests/fast/events/window-onerror10-expected.txt View 1 chunk +0 lines, -11 lines 0 comments Download
D LayoutTests/fast/events/window-onerror11.html View 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/fast/events/window-onerror11-expected.txt View 1 chunk +0 lines, -4 lines 0 comments Download
D LayoutTests/fast/events/window-onerror12.html View 1 chunk +0 lines, -34 lines 0 comments Download
D LayoutTests/fast/events/window-onerror12-expected.txt View 1 chunk +0 lines, -9 lines 0 comments Download
D LayoutTests/fast/events/window-onerror13.html View 1 chunk +0 lines, -27 lines 0 comments Download
D LayoutTests/fast/events/window-onerror13-expected.txt View 1 chunk +0 lines, -6 lines 0 comments Download
D LayoutTests/fast/events/window-onerror14.html View 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/fast/events/window-onerror14-expected.txt View 1 chunk +0 lines, -5 lines 0 comments Download
D LayoutTests/fast/events/window-onerror15.html View 1 chunk +0 lines, -27 lines 0 comments Download
D LayoutTests/fast/events/window-onerror15-expected.txt View 1 chunk +0 lines, -5 lines 0 comments Download
D LayoutTests/fast/events/window-onerror16.html View 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/fast/events/window-onerror16-expected.txt View 1 chunk +0 lines, -6 lines 0 comments Download
D LayoutTests/fast/events/window-onerror2.html View 1 chunk +0 lines, -40 lines 0 comments Download
D LayoutTests/fast/events/window-onerror2-expected.txt View 1 chunk +0 lines, -6 lines 0 comments Download
D LayoutTests/fast/events/window-onerror3.html View 1 chunk +0 lines, -23 lines 0 comments Download
D LayoutTests/fast/events/window-onerror3-expected.txt View 1 chunk +0 lines, -4 lines 0 comments Download
D LayoutTests/fast/events/window-onerror4.html View 1 chunk +0 lines, -23 lines 0 comments Download
D LayoutTests/fast/events/window-onerror4-expected.txt View 1 chunk +0 lines, -4 lines 0 comments Download
D LayoutTests/fast/events/window-onerror5.html View 1 chunk +0 lines, -23 lines 0 comments Download
D LayoutTests/fast/events/window-onerror5-expected.txt View 1 chunk +0 lines, -4 lines 0 comments Download
D LayoutTests/fast/events/window-onerror6.html View 1 chunk +0 lines, -26 lines 0 comments Download
D LayoutTests/fast/events/window-onerror6-expected.txt View 1 chunk +0 lines, -4 lines 0 comments Download
D LayoutTests/fast/events/window-onerror7.html View 1 chunk +0 lines, -24 lines 0 comments Download
D LayoutTests/fast/events/window-onerror7-expected.txt View 1 chunk +0 lines, -6 lines 0 comments Download
D LayoutTests/fast/events/window-onerror8.html View 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/fast/events/window-onerror8-expected.txt View 1 chunk +0 lines, -5 lines 0 comments Download
D LayoutTests/fast/events/window-onerror9.html View 1 chunk +0 lines, -35 lines 0 comments Download
D LayoutTests/fast/events/window-onerror9-expected.txt View 1 chunk +0 lines, -8 lines 0 comments Download

Messages

Total messages: 13 (0 generated)
Mike West
Hi Christophe! Would you mind taking a look at this proposed rewrite of some of ...
5 years, 12 months ago (2013-07-23 14:26:32 UTC) #1
do-not-use
Since we are rewriting those tests, why are we not leveraging the js-test-pre.js / js-test-post.js ...
5 years, 12 months ago (2013-07-23 14:46:08 UTC) #2
Mike West
https://codereview.chromium.org/19962008/diff/2001/LayoutTests/fast/events/resources/onerror-test.js File LayoutTests/fast/events/resources/onerror-test.js (right): https://codereview.chromium.org/19962008/diff/2001/LayoutTests/fast/events/resources/onerror-test.js#newcode6 LayoutTests/fast/events/resources/onerror-test.js:6: function log(message) { On 2013/07/23 14:46:09, Christophe Dumez wrote: ...
5 years, 12 months ago (2013-07-23 14:51:53 UTC) #3
Mike West
I've reworked things to use js-test-pre/post. It's sometimes helpful. :) Would you mind taking another ...
5 years, 12 months ago (2013-07-24 12:58:34 UTC) #4
do-not-use
https://codereview.chromium.org/19962008/diff/10001/LayoutTests/fast/events/resources/onerror-test.js File LayoutTests/fast/events/resources/onerror-test.js (right): https://codereview.chromium.org/19962008/diff/10001/LayoutTests/fast/events/resources/onerror-test.js#newcode10 LayoutTests/fast/events/resources/onerror-test.js:10: function DumpOnErrorArgumentValuesAndReturn(returnValue, callback) { nit: function usually start with ...
5 years, 12 months ago (2013-07-24 13:18:01 UTC) #5
Mike West
Let's try that one more time, shall we? :) Thanks for the speedy reviews, by ...
5 years, 12 months ago (2013-07-24 15:28:32 UTC) #6
do-not-use
https://codereview.chromium.org/19962008/diff/17001/LayoutTests/fast/events/window-errorevent-01.html File LayoutTests/fast/events/window-errorevent-01.html (right): https://codereview.chromium.org/19962008/diff/17001/LayoutTests/fast/events/window-errorevent-01.html#newcode11 LayoutTests/fast/events/window-errorevent-01.html:11: <p>This test should trigger 'window.onerror', and successfully handle the ...
5 years, 12 months ago (2013-07-24 15:46:16 UTC) #7
Mike West
Thanks. One more take. https://codereview.chromium.org/19962008/diff/17001/LayoutTests/fast/events/window-errorevent-01.html File LayoutTests/fast/events/window-errorevent-01.html (right): https://codereview.chromium.org/19962008/diff/17001/LayoutTests/fast/events/window-errorevent-01.html#newcode11 LayoutTests/fast/events/window-errorevent-01.html:11: <p>This test should trigger 'window.onerror', ...
5 years, 12 months ago (2013-07-25 08:09:42 UTC) #8
do-not-use
On 2013/07/25 08:09:42, Mike West wrote: > Thanks. One more take. > > https://codereview.chromium.org/19962008/diff/17001/LayoutTests/fast/events/window-errorevent-01.html > ...
5 years, 12 months ago (2013-07-25 08:13:00 UTC) #9
Mike West
I swear I'm not trolling you. Expectations are there this time.
5 years, 12 months ago (2013-07-25 08:32:11 UTC) #10
do-not-use
Ok, LGTM now :)
5 years, 12 months ago (2013-07-25 08:34:21 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/mkwst@chromium.org/19962008/32001
5 years, 12 months ago (2013-07-25 08:38:29 UTC) #12
commit-bot: I haz the power
5 years, 12 months ago (2013-07-25 09:20:49 UTC) #13
Message was sent while issue was closed.
Change committed as 154910

Powered by Google App Engine
This is Rietveld 408576698